ResourceDescriptor (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.shared.types.datamodel
Class ResourceDescriptor

    java.lang.Object
      com.extjs.gxt.ui.client.data.BaseModelData
          org.gcube.resourcemanagement.support.shared.types.datamodel.ResourceDescriptor

All Implemented Interfaces:
  com.extjs.gxt.ui.client.data.ModelData, Serializable

    public class ResourceDescriptor

extends com.extjs.gxt.ui.client.data.BaseModelData
implements Serializable

All the resources that want to access resource management operations must be described through this data type.

Author:
  Massimiliano Assante (ISTI-CNR), Daniele Strollo
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`allowNestedValues, map`

Constructor Summary
`ResourceDescriptor()`
`ResourceDescriptor(String type, String subtype, String id, String name)` Creates a ResourceDescriptor

Method Summary
`void` | `addProperty(String property, Object value)`
`String` | `getID()`
`String` | `getName()`
`Object` | `getProperty(String property)`
`String` | `getSubtype()`
`String` | `getType()`
`void` | `setID(String id)`
`void` | `setName(String name)`
`void` | `setSubtype(String subtype)`
`void` | `setType(String type)`
`String` | `toString()`

Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceDescriptor

    public ResourceDescriptor()

### ResourceDescriptor

    public ResourceDescriptor(String type,
                              String subtype,
                              String id,
                              String name)
                       throws InvalidParameterException

  Creates a ResourceDescriptor

  Parameters:
    `type` - mandatory
    `subtype` - can be null
    `ID` - the identifier of the resource (mandatory).
    `name` - the short name assigned to the resource (mandatory).
  Throws:
    `InvalidParameterException`

Method Detail

### getType

    public final String getType()

### getSubtype

    public final String getSubtype()

### getID

    public final String getID()

### getName

    public final String getName()

### setType

    public final void setType(String type)

### setSubtype

    public final void setSubtype(String subtype)

### setID

    public final void setID(String id)

### setName

    public final void setName(String name)

### addProperty

    public final void addProperty(String property,
                                  Object value)

### getProperty

    public final Object getProperty(String property)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.